Skip to main content
GET
/
solana
/
permits
/
{drone_pda}
List airspace permits held by a drone PDA.
curl --request GET \
  --url https://api.example.com/solana/permits/{drone_pda}
import requests

url = "https://api.example.com/solana/permits/{drone_pda}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/solana/permits/{drone_pda}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "permit_pda": "<string>",
    "airspace_pda": "<string>",
    "drone_pda": "<string>",
    "granted_at": 123,
    "expires_at": 123,
    "tx": {
      "signature": "<string>",
      "slot": 123,
      "confirmation": "<string>",
      "fee_lamports": 123
    }
  }
]

Path Parameters

drone_pda
string
required

Base58 drone PDA

Query Parameters

active_only
boolean

Filter to active permits only

Response

200 - application/json

List of permits

permit_pda
string
required
airspace_pda
string
required
drone_pda
string
required
granted_at
integer<int64>
required
expires_at
integer<int64>
required
tx
object
required